/***************************************************************************
 *  Copyright (c) 2005 Chih-Chung Chang                                    *
 *  Parts copyright (c) 2006 Michael Olson                                 *
 *  Copyright (C) 2007-2008 by Fehmi "Canavar" SAGLAM                      *
 *  canavar@fehmicans.net                                                  *
 *                                                                         *
 *  This file is part of sTerm.                                            *
 *                                                                         *
 *  sTerm is free software; you can redistribute it and/or modify          *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 3 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  sTerm is distributed in the hope that it will be useful,               *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>   *
 ***************************************************************************/

#ifndef _font_h__
#define _font_h__

#include <SDL/SDL.h>

#define SMALL_FONT_WIDTH 4
#define SMALL_FONT_HEIGHT 6
#define BIG_FONT_WIDTH 6
#define BIG_FONT_HEIGHT 10

extern int FONT_WIDTH;
extern int FONT_HEIGHT;

extern unsigned char *font;

/* The font is generated from Xorg 6x10-L1.bdf */
static unsigned char big_font[256][10] = {
{ 0x00, 0xA8, 0x00, 0x88, 0x00, 0x88, 0x00, 0xA8, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x70, 0xF8, 0x70, 0x20, 0x00, 0x00, 0x00, },
{ 0xA8, 0x54, 0xA8, 0x54, 0xA8, 0x54, 0xA8, 0x54, 0xA8, 0x54, },
{ 0x00, 0x90, 0x90, 0xF0, 0x90, 0x90, 0x78, 0x10, 0x10, 0x10, },
{ 0x00, 0xE0, 0x80, 0xC0, 0x80, 0xB8, 0x20, 0x30, 0x20, 0x20, },
{ 0x00, 0x70, 0x80, 0x80, 0x70, 0x70, 0x48, 0x70, 0x48, 0x48, },
{ 0x00, 0x80, 0x80, 0x80, 0xF0, 0x78, 0x40, 0x70, 0x40, 0x40, },
{ 0x00, 0x20, 0x50, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x20, 0xF8, 0x20, 0x20, 0xF8, 0x00, 0x00, },
{ 0x00, 0x90, 0xD0, 0xD0, 0xB0, 0x90, 0x40, 0x40, 0x40, 0x78, },
{ 0x00, 0x90, 0x90, 0x60, 0x40, 0x78, 0x10, 0x10, 0x10, 0x10, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x20, 0x20, 0x20, 0x20, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x20, 0x20, 0x20, 0x20, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x00, 0x00, 0x00, 0x00, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0xFC, 0x20, 0x20, 0x20, 0x20, },
{ 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x20, 0x20, 0x20, 0x20, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x20, 0x20, 0x20, 0x20, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0xFC, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x20, 0x20, 0x20, 0x20, },
{ 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, },
{ 0x00, 0x18, 0x60, 0x80, 0x60, 0x18, 0x00, 0xF8, 0x00, 0x00, },
{ 0x00, 0xC0, 0x30, 0x08, 0x30, 0xC0, 0x00, 0xF8, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0xF8, 0x50, 0x50, 0x50, 0x50, 0x00, 0x00, },
{ 0x00, 0x08, 0x10, 0xF8, 0x20, 0xF8, 0x40, 0x80, 0x00, 0x00, },
{ 0x00, 0x30, 0x48, 0x40, 0xE0, 0x40, 0x48, 0xB0, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x20, 0x00, 0x00, },
{ 0x00, 0x50, 0x50, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x50, 0x50, 0xF8, 0x50, 0xF8, 0x50, 0x50, 0x00, 0x00, },
{ 0x00, 0x20, 0x70, 0xA0, 0x70, 0x28, 0x70, 0x20, 0x00, 0x00, },
{ 0x00, 0x48, 0xA8, 0x50, 0x20, 0x50, 0xA8, 0x90, 0x00, 0x00, },
{ 0x00, 0x40, 0xA0, 0xA0, 0x40, 0xA8, 0x90, 0x68, 0x00, 0x00, },
{ 0x00, 0x20, 0x20, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x10, 0x20, 0x40, 0x40, 0x40, 0x20, 0x10, 0x00, 0x00, },
{ 0x00, 0x40, 0x20, 0x10, 0x10, 0x10, 0x20, 0x40, 0x00, 0x00, },
{ 0x00, 0x00, 0x88, 0x50, 0xF8, 0x50, 0x88, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x20, 0xF8, 0x20, 0x20, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x20, 0x40, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x70, 0x20, 0x00, },
{ 0x00, 0x08, 0x08, 0x10, 0x20, 0x40, 0x80, 0x80, 0x00, 0x00, },
{ 0x00, 0x20, 0x50, 0x88, 0x88, 0x88, 0x50, 0x20, 0x00, 0x00, },
{ 0x00, 0x20, 0x60, 0xA0, 0x20, 0x20, 0x20, 0xF8, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x08, 0x30, 0x40, 0x80, 0xF8, 0x00, 0x00, },
{ 0x00, 0xF8, 0x08, 0x10, 0x30, 0x08, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x10, 0x30, 0x50, 0x90, 0xF8, 0x10, 0x10, 0x00, 0x00, },
{ 0x00, 0xF8, 0x80, 0xB0, 0xC8, 0x08, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x30, 0x40, 0x80, 0xB0, 0xC8, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0xF8, 0x08, 0x10, 0x10, 0x20, 0x40, 0x40, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x88, 0x70, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x98, 0x68, 0x08, 0x10, 0x60, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x70, 0x20, 0x00, 0x20, 0x70, 0x20, 0x00, },
{ 0x00, 0x00, 0x20, 0x70, 0x20, 0x00, 0x30, 0x20, 0x40, 0x00, },
{ 0x00, 0x08, 0x10, 0x20, 0x40, 0x20, 0x10, 0x08, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0xF8, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x40, 0x20, 0x10, 0x08, 0x10, 0x20, 0x40, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x10, 0x20, 0x20, 0x00, 0x20, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x98, 0xA8, 0xB0, 0x80, 0x70, 0x00, 0x00, },
{ 0x00, 0x20, 0x50, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0xF0, 0x48, 0x48, 0x70, 0x48, 0x48, 0xF0, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x80, 0x80, 0x80, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0xF0, 0x48, 0x48, 0x48, 0x48, 0x48, 0xF0, 0x00, 0x00, },
{ 0x00, 0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0xF8, 0x00, 0x00, },
{ 0x00, 0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0x80, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x80, 0x80, 0x98, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x70, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x00, 0x38, 0x10, 0x10, 0x10, 0x10, 0x90, 0x60, 0x00, 0x00, },
{ 0x00, 0x88, 0x90, 0xA0, 0xC0, 0xA0, 0x90, 0x88, 0x00, 0x00, },
{ 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xF8, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0xD8, 0xA8, 0x88, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0xC8, 0xA8, 0x98, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0xF0, 0x88, 0x88, 0xF0, 0x80, 0x80, 0x80, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x88, 0x88, 0x88, 0xA8, 0x70, 0x08, 0x00, },
{ 0x00, 0xF0, 0x88, 0x88, 0xF0, 0xA0, 0x90, 0x88, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x80, 0x70, 0x08, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0xF8, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x88, 0x50, 0x50, 0x50, 0x20, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x88, 0xA8, 0xA8, 0xD8, 0x88, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x50, 0x20, 0x50, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x50, 0x20, 0x20, 0x20, 0x20, 0x00, 0x00, },
{ 0x00, 0xF8, 0x08, 0x10, 0x20, 0x40, 0x80, 0xF8, 0x00, 0x00, },
{ 0x00, 0x70, 0x40, 0x40, 0x40, 0x40, 0x40, 0x70, 0x00, 0x00, },
{ 0x00, 0x80, 0x80, 0x40, 0x20, 0x10, 0x08, 0x08, 0x00, 0x00, },
{ 0x00, 0x70, 0x10, 0x10, 0x10, 0x10, 0x10, 0x70, 0x00, 0x00, },
{ 0x00, 0x20, 0x50, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, },
{ 0x20, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x00, 0x80, 0x80, 0xB0, 0xC8, 0x88, 0xC8, 0xB0, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x70, 0x88, 0x80, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x08, 0x08, 0x68, 0x98, 0x88, 0x98, 0x68, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x70, 0x00, 0x00, },
{ 0x00, 0x30, 0x48, 0x40, 0xF0, 0x40, 0x40, 0x40, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x78, 0x88, 0x88, 0x78, 0x08, 0x88, 0x70, },
{ 0x00, 0x80, 0x80, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x20, 0x00, 0x60, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x00, 0x08, 0x00, 0x18, 0x08, 0x08, 0x08, 0x48, 0x48, 0x30, },
{ 0x00, 0x80, 0x80, 0x88, 0x90, 0xE0, 0x90, 0x88, 0x00, 0x00, },
{ 0x00, 0x60, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0xD0, 0xA8, 0xA8, 0xA8, 0x88, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0xB0, 0xC8, 0x88, 0xC8, 0xB0, 0x80, 0x80, },
{ 0x00, 0x00, 0x00, 0x68, 0x98, 0x88, 0x98, 0x68, 0x08, 0x08, },
{ 0x00, 0x00, 0x00, 0xB0, 0xC8, 0x80, 0x80, 0x80, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x70, 0x80, 0x70, 0x08, 0xF0, 0x00, 0x00, },
{ 0x00, 0x40, 0x40, 0xF0, 0x40, 0x40, 0x48, 0x30, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x88, 0x88, 0x98, 0x68, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x88, 0x50, 0x50, 0x20, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x88, 0xA8, 0xA8, 0x50, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x50, 0x20, 0x50, 0x88, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x88, 0x98, 0x68, 0x08, 0x88, 0x70, },
{ 0x00, 0x00, 0x00, 0xF8, 0x10, 0x20, 0x40, 0xF8, 0x00, 0x00, },
{ 0x00, 0x18, 0x20, 0x10, 0x60, 0x10, 0x20, 0x18, 0x00, 0x00, },
{ 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x00, },
{ 0x00, 0x60, 0x10, 0x20, 0x18, 0x20, 0x10, 0x60, 0x00, 0x00, },
{ 0x00, 0x48, 0xA8, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x20, 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x78, 0xA0, 0xA0, 0xA0, 0x78, 0x20, 0x00, },
{ 0x00, 0x30, 0x48, 0x40, 0xE0, 0x40, 0x48, 0xB0, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x70, 0x50, 0x70, 0x88, 0x00, 0x00, },
{ 0x00, 0x88, 0x88, 0x50, 0x20, 0xF8, 0x20, 0x20, 0x20, 0x00, },
{ 0x00, 0x20, 0x20, 0x20, 0x00, 0x20, 0x20, 0x20, 0x00, 0x00, },
{ 0x00, 0x70, 0x80, 0xE0, 0x90, 0x48, 0x38, 0x08, 0x70, 0x00, },
{ 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0xA8, 0xC8, 0xA8, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x38, 0x48, 0x58, 0x28, 0x00, 0x78, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x24, 0x48, 0x90, 0x48, 0x24, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x78, 0x08, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0xE8, 0xC8, 0xC8, 0x88, 0x70, 0x00, 0x00, },
{ 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x20, 0x50, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x20, 0xF8, 0x20, 0x20, 0xF8, 0x00, 0x00, },
{ 0x30, 0x48, 0x10, 0x20, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x70, 0x08, 0x30, 0x08, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x10, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x88, 0x88, 0xC8, 0xB0, 0x80, 0x00, },
{ 0x00, 0x78, 0xE8, 0xE8, 0x68, 0x28, 0x28, 0x28, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x20, },
{ 0x20, 0x60, 0x20, 0x20, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, },
{ 0x00, 0x30, 0x48, 0x48, 0x30, 0x00, 0x78, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x90, 0x48, 0x24, 0x48, 0x90, 0x00, 0x00, },
{ 0x40, 0xC0, 0x40, 0x40, 0xE4, 0x0C, 0x14, 0x3C, 0x04, 0x00, },
{ 0x40, 0xC0, 0x40, 0x40, 0xE8, 0x14, 0x04, 0x08, 0x1C, 0x00, },
{ 0xC0, 0x20, 0x40, 0x20, 0xC8, 0x18, 0x28, 0x78, 0x08, 0x00, },
{ 0x00, 0x20, 0x00, 0x20, 0x20, 0x40, 0x88, 0x70, 0x00, 0x00, },
{ 0x40, 0x20, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x10, 0x20, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x20, 0x50, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x48, 0xB0, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x50, 0x00, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x20, 0x50, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x00, 0x00, },
{ 0x00, 0x3C, 0x50, 0x90, 0x9C, 0xF0, 0x90, 0x9C, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x80, 0x80, 0x80, 0x88, 0x70, 0x20, 0x40, },
{ 0x40, 0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0xF8, 0x00, 0x00, },
{ 0x10, 0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0xF8, 0x00, 0x00, },
{ 0x20, 0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0xF8, 0x00, 0x00, },
{ 0x50, 0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0xF8, 0x00, 0x00, },
{ 0x40, 0x20, 0x70, 0x20, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x10, 0x20, 0x70, 0x20, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x20, 0x50, 0x70, 0x20, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x50, 0x00, 0x70, 0x20, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x00, 0xF0, 0x48, 0x48, 0xE8, 0x48, 0x48, 0xF0, 0x00, 0x00, },
{ 0x28, 0x50, 0x88, 0xC8, 0xA8, 0x98, 0x88, 0x88, 0x00, 0x00, },
{ 0x40, 0x20, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x10, 0x20, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x20, 0x50, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x28, 0x50, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x50, 0x00, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x88, 0x50, 0x20, 0x50, 0x88, 0x00, 0x00, },
{ 0x00, 0x70, 0x98, 0x98, 0xA8, 0xC8, 0xC8, 0x70, 0x00, 0x00, },
{ 0x40, 0x20, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x10, 0x20, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x20, 0x50, 0x00, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x50, 0x00, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x10, 0x20, 0x88, 0x88, 0x50, 0x20, 0x20, 0x20, 0x00, 0x00, },
{ 0x00, 0x80, 0xF0, 0x88, 0xF0, 0x80, 0x80, 0x80, 0x00, 0x00, },
{ 0x00, 0x70, 0x88, 0x90, 0xA0, 0x90, 0x88, 0xB0, 0x00, 0x00, },
{ 0x40, 0x20, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x10, 0x20, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x20, 0x50, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x28, 0x50, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x00, 0x50, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x20, 0x50, 0x20, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x78, 0x14, 0x7C, 0x90, 0x7C, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x70, 0x88, 0x80, 0x88, 0x70, 0x20, 0x40, },
{ 0x40, 0x20, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x70, 0x00, 0x00, },
{ 0x10, 0x20, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x70, 0x00, 0x00, },
{ 0x20, 0x50, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x70, 0x00, 0x00, },
{ 0x00, 0x50, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x70, 0x00, 0x00, },
{ 0x40, 0x20, 0x00, 0x60, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x20, 0x40, 0x00, 0x60, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x20, 0x50, 0x00, 0x60, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x00, 0x50, 0x00, 0x60, 0x20, 0x20, 0x20, 0x70, 0x00, 0x00, },
{ 0x00, 0xC0, 0x30, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x28, 0x50, 0x00, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x00, 0x00, },
{ 0x40, 0x20, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x10, 0x20, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x20, 0x50, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x28, 0x50, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x50, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0x00, },
{ 0x00, 0x00, 0x20, 0x00, 0xF8, 0x00, 0x20, 0x00, 0x00, 0x00, },
{ 0x00, 0x00, 0x00, 0x78, 0x98, 0xA8, 0xC8, 0xF0, 0x00, 0x00, },
{ 0x40, 0x20, 0x00, 0x88, 0x88, 0x88, 0x98, 0x68, 0x00, 0x00, },
{ 0x10, 0x20, 0x00, 0x88, 0x88, 0x88, 0x98, 0x68, 0x00, 0x00, },
{ 0x20, 0x50, 0x00, 0x88, 0x88, 0x88, 0x98, 0x68, 0x00, 0x00, },
{ 0x00, 0x50, 0x00, 0x88, 0x88, 0x88, 0x98, 0x68, 0x00, 0x00, },
{ 0x00, 0x10, 0x20, 0x88, 0x88, 0x98, 0x68, 0x08, 0x88, 0x70, },
{ 0x00, 0x00, 0x80, 0xF0, 0x88, 0x88, 0x88, 0xF0, 0x80, 0x80, },
{ 0x00, 0x50, 0x00, 0x88, 0x88, 0x98, 0x68, 0x08, 0x88, 0x70, },
};

/* The font is generated from Xorg 4x6-ISO8859-1.pcf */
static unsigned char small_font[256][6] = {
{ 0xa0, 0x00, 0xa0, 0x00, 0xa0, 0x00 },
{ 0x00, 0x40, 0xe0, 0xe0, 0x40, 0x00 },
{ 0xa0, 0x50, 0xa0, 0x50, 0xa0, 0x50 },
{ 0xa0, 0xe0, 0xa0, 0x70, 0x20, 0x20 },
{ 0xc0, 0xc0, 0x80, 0x60, 0x60, 0x40 },
{ 0xe0, 0x80, 0xe0, 0x50, 0x60, 0x50 },
{ 0x80, 0x80, 0xe0, 0x60, 0x40, 0x40 },
{ 0x40, 0xa0, 0x40, 0x00, 0x00, 0x00 },
{ 0x40, 0xe0, 0x40, 0x00, 0xe0, 0x00 },
{ 0xd0, 0xb0, 0x90, 0x20, 0x20, 0x30 },
{ 0xa0, 0xa0, 0x40, 0x70, 0x20, 0x20 },
{ 0x40, 0x40, 0x40, 0xc0, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0xc0, 0x40, 0x40 },
{ 0x00, 0x00, 0x00, 0x70, 0x40, 0x40 },
{ 0x40, 0x40, 0x40, 0x70, 0x00, 0x00 },
{ 0x40, 0x40, 0x40, 0xf0, 0x40, 0x40 },
{ 0xf0, 0x00, 0x00, 0x00, 0x00, 0x00 },
{ 0x00, 0xf0, 0x00, 0x00, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0 },
{ 0x40, 0x40, 0x40, 0x70, 0x40, 0x40 },
{ 0x40, 0x40, 0x40, 0xc0, 0x40, 0x40 },
{ 0x40, 0x40, 0x40, 0xf0, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0xf0, 0x40, 0x40 },
{ 0x40, 0x40, 0x40, 0x40, 0x40, 0x40 },
{ 0x20, 0x40, 0xe0, 0x00, 0xe0, 0x00 },
{ 0x80, 0x40, 0xe0, 0x00, 0xe0, 0x00 },
{ 0x00, 0xe0, 0xa0, 0xa0, 0xa0, 0x00 },
{ 0x20, 0xe0, 0x40, 0xe0, 0x80, 0x00 },
{ 0x20, 0x40, 0x60, 0x40, 0xa0, 0x00 },
{ 0x00, 0x00, 0x40, 0x00, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 },
{ 0x40, 0x40, 0x40, 0x00, 0x40, 0x00 },
{ 0xa0, 0xa0, 0x00, 0x00, 0x00, 0x00 },
{ 0xa0, 0xf0, 0xa0, 0xf0, 0xa0, 0x00 },
{ 0x40, 0xe0, 0xc0, 0x20, 0xe0, 0x40 },
{ 0x80, 0x20, 0x40, 0x80, 0x20, 0x00 },
{ 0x40, 0xa0, 0x40, 0xa0, 0x50, 0x00 },
{ 0x40, 0x40, 0x00, 0x00, 0x00, 0x00 },
{ 0x20, 0x40, 0x40, 0x40, 0x40, 0x20 },
{ 0x80, 0x40, 0x40, 0x40, 0x40, 0x80 },
{ 0xa0, 0x40, 0xe0, 0x40, 0xa0, 0x00 },
{ 0x40, 0x40, 0xe0, 0x40, 0x40, 0x00 },
{ 0x00, 0x00, 0x00, 0x00, 0x40, 0x80 },
{ 0x00, 0x00, 0xe0, 0x00, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0x00, 0x40, 0x00 },
{ 0x20, 0x20, 0x40, 0x80, 0x80, 0x00 },
{ 0x40, 0xa0, 0xe0, 0xa0, 0x40, 0x00 },
{ 0x40, 0xc0, 0x40, 0x40, 0xe0, 0x00 },
{ 0x40, 0xa0, 0x20, 0x40, 0xe0, 0x00 },
{ 0xe0, 0x20, 0x40, 0x20, 0xc0, 0x00 },
{ 0xa0, 0xa0, 0xe0, 0x20, 0x20, 0x00 },
{ 0xe0, 0x80, 0xc0, 0x20, 0xc0, 0x00 },
{ 0x60, 0x80, 0xc0, 0xa0, 0x40, 0x00 },
{ 0xe0, 0x20, 0x40, 0x80, 0x80, 0x00 },
{ 0x60, 0xa0, 0x40, 0xa0, 0xc0, 0x00 },
{ 0x40, 0xa0, 0x60, 0x20, 0xc0, 0x00 },
{ 0x00, 0x40, 0x00, 0x00, 0x40, 0x00 },
{ 0x00, 0x40, 0x00, 0x00, 0x40, 0x80 },
{ 0x20, 0x40, 0x80, 0x40, 0x20, 0x00 },
{ 0x00, 0xe0, 0x00, 0xe0, 0x00, 0x00 },
{ 0x80, 0x40, 0x20, 0x40, 0x80, 0x00 },
{ 0xc0, 0x20, 0x40, 0x00, 0x40, 0x00 },
{ 0x60, 0xa0, 0xa0, 0x80, 0x60, 0x00 },
{ 0x40, 0xa0, 0xe0, 0xa0, 0xa0, 0x00 },
{ 0xc0, 0xa0, 0xc0, 0xa0, 0xc0, 0x00 },
{ 0x40, 0xa0, 0x80, 0xa0, 0x40, 0x00 },
{ 0xc0, 0xa0, 0xa0, 0xa0, 0xc0, 0x00 },
{ 0xe0, 0x80, 0xc0, 0x80, 0xe0, 0x00 },
{ 0xe0, 0x80, 0xc0, 0x80, 0x80, 0x00 },
{ 0x60, 0x80, 0xa0, 0xa0, 0x60, 0x00 },
{ 0xa0, 0xa0, 0xe0, 0xa0, 0xa0, 0x00 },
{ 0xe0, 0x40, 0x40, 0x40, 0xe0, 0x00 },
{ 0x20, 0x20, 0x20, 0xa0, 0x40, 0x00 },
{ 0xa0, 0xa0, 0xc0, 0xa0, 0xa0, 0x00 },
{ 0x80, 0x80, 0x80, 0x80, 0xe0, 0x00 },
{ 0xa0, 0xe0, 0xe0, 0xa0, 0xa0, 0x00 },
{ 0x20, 0xa0, 0xe0, 0xa0, 0x80, 0x00 },
{ 0x40, 0xa0, 0xa0, 0xa0, 0x40, 0x00 },
{ 0xc0, 0xa0, 0xc0, 0x80, 0x80, 0x00 },
{ 0x40, 0xa0, 0xa0, 0xa0, 0x40, 0x20 },
{ 0xc0, 0xa0, 0xc0, 0xa0, 0xa0, 0x00 },
{ 0x60, 0x80, 0x40, 0x20, 0xc0, 0x00 },
{ 0xe0, 0x40, 0x40, 0x40, 0x40, 0x00 },
{ 0xa0, 0xa0, 0xa0, 0xa0, 0xe0, 0x00 },
{ 0xa0, 0xa0, 0xa0, 0xe0, 0x40, 0x00 },
{ 0xa0, 0xa0, 0xe0, 0xe0, 0xa0, 0x00 },
{ 0xa0, 0xa0, 0x40, 0xa0, 0xa0, 0x00 },
{ 0xa0, 0xa0, 0x40, 0x40, 0x40, 0x00 },
{ 0xe0, 0x20, 0x40, 0x80, 0xe0, 0x00 },
{ 0x60, 0x40, 0x40, 0x40, 0x60, 0x00 },
{ 0x80, 0x80, 0x40, 0x20, 0x20, 0x00 },
{ 0xc0, 0x40, 0x40, 0x40, 0xc0, 0x00 },
{ 0x40, 0xa0, 0x00, 0x00, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0 },
{ 0x40, 0x20, 0x00, 0x00, 0x00, 0x00 },
{ 0x00, 0x60, 0xa0, 0xa0, 0x60, 0x00 },
{ 0x80, 0xc0, 0xa0, 0xa0, 0xc0, 0x00 },
{ 0x00, 0x60, 0x80, 0x80, 0x60, 0x00 },
{ 0x20, 0x60, 0xa0, 0xa0, 0x60, 0x00 },
{ 0x00, 0x40, 0xa0, 0xc0, 0x60, 0x00 },
{ 0x20, 0x40, 0xe0, 0x40, 0x40, 0x00 },
{ 0x00, 0x60, 0xa0, 0x60, 0x20, 0xc0 },
{ 0x80, 0xc0, 0xa0, 0xa0, 0xa0, 0x00 },
{ 0x40, 0x00, 0xc0, 0x40, 0xe0, 0x00 },
{ 0x20, 0x00, 0x20, 0x20, 0x20, 0xc0 },
{ 0x80, 0xa0, 0xc0, 0xa0, 0xa0, 0x00 },
{ 0xc0, 0x40, 0x40, 0x40, 0xe0, 0x00 },
{ 0x00, 0xa0, 0xe0, 0xa0, 0xa0, 0x00 },
{ 0x00, 0xc0, 0xa0, 0xa0, 0xa0, 0x00 },
{ 0x00, 0x40, 0xa0, 0xa0, 0x40, 0x00 },
{ 0x00, 0xc0, 0xa0, 0xc0, 0x80, 0x80 },
{ 0x00, 0x60, 0xa0, 0xa0, 0x60, 0x20 },
{ 0x00, 0xa0, 0xc0, 0x80, 0x80, 0x00 },
{ 0x00, 0x60, 0xc0, 0x20, 0xc0, 0x00 },
{ 0x40, 0xe0, 0x40, 0x40, 0x20, 0x00 },
{ 0x00, 0xa0, 0xa0, 0xa0, 0x60, 0x00 },
{ 0x00, 0xa0, 0xa0, 0xa0, 0x40, 0x00 },
{ 0x00, 0xa0, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0x00, 0xa0, 0x40, 0x40, 0xa0, 0x00 },
{ 0x00, 0xa0, 0xa0, 0x60, 0x20, 0xc0 },
{ 0x00, 0xe0, 0x20, 0x40, 0xe0, 0x00 },
{ 0x20, 0x40, 0xc0, 0x40, 0x40, 0x20 },
{ 0x40, 0x40, 0x40, 0x40, 0x40, 0x00 },
{ 0x80, 0x40, 0x60, 0x40, 0x40, 0x80 },
{ 0x50, 0xa0, 0x00, 0x00, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 },
{ 0x40, 0x00, 0x40, 0x40, 0x40, 0x00 },
{ 0x40, 0xe0, 0x80, 0xe0, 0x40, 0x00 },
{ 0x20, 0x40, 0x60, 0x40, 0xa0, 0x00 },
{ 0x00, 0x90, 0x60, 0x60, 0x90, 0x00 },
{ 0xa0, 0x40, 0xe0, 0x40, 0x40, 0x00 },
{ 0x40, 0x40, 0x00, 0x40, 0x40, 0x00 },
{ 0x60, 0xc0, 0xa0, 0x60, 0x20, 0xc0 },
{ 0xa0, 0x00, 0x00, 0x00, 0x00, 0x00 },
{ 0x60, 0x90, 0xd0, 0xd0, 0x90, 0x60 },
{ 0x60, 0xa0, 0x60, 0x00, 0xe0, 0x00 },
{ 0x00, 0x50, 0xa0, 0x50, 0x00, 0x00 },
{ 0x00, 0x00, 0xe0, 0x20, 0x00, 0x00 },
{ 0x00, 0x00, 0xe0, 0x00, 0x00, 0x00 },
{ 0x60, 0xf0, 0xd0, 0x60, 0x00, 0x00 },
{ 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00 },
{ 0x40, 0xa0, 0x40, 0x00, 0x00, 0x00 },
{ 0x40, 0xe0, 0x40, 0x00, 0xe0, 0x00 },
{ 0xc0, 0x40, 0x80, 0xc0, 0x00, 0x00 },
{ 0xc0, 0x40, 0x80, 0x40, 0x80, 0x00 },
{ 0x20, 0x40, 0x00, 0x00, 0x00, 0x00 },
{ 0x00, 0xa0, 0xa0, 0xa0, 0xc0, 0x80 },
{ 0x70, 0xd0, 0xd0, 0x50, 0x50, 0x00 },
{ 0x00, 0x00, 0x40, 0x00, 0x00, 0x00 },
{ 0x00, 0x00, 0x00, 0x20, 0x40, 0x00 },
{ 0x40, 0xc0, 0x40, 0x40, 0x00, 0x00 },
{ 0x40, 0xa0, 0x40, 0x00, 0xe0, 0x00 },
{ 0x00, 0xa0, 0x50, 0xa0, 0x00, 0x00 },
{ 0x80, 0x80, 0x80, 0x50, 0x70, 0x10 },
{ 0x80, 0x80, 0xb0, 0x10, 0x20, 0x30 },
{ 0xc0, 0x40, 0x80, 0x50, 0xb0, 0x10 },
{ 0x40, 0x00, 0x40, 0x80, 0x60, 0x00 },
{ 0x80, 0x40, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0x20, 0x40, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0xc0, 0x40, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0x60, 0xc0, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0xa0, 0x40, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0x40, 0x40, 0xa0, 0xe0, 0xa0, 0x00 },
{ 0x70, 0xa0, 0xf0, 0xa0, 0xb0, 0x00 },
{ 0x40, 0xa0, 0x80, 0xa0, 0x40, 0x80 },
{ 0x80, 0xe0, 0xc0, 0x80, 0xe0, 0x00 },
{ 0x20, 0xe0, 0xc0, 0x80, 0xe0, 0x00 },
{ 0x60, 0xe0, 0xc0, 0x80, 0xe0, 0x00 },
{ 0xa0, 0xe0, 0xc0, 0x80, 0xe0, 0x00 },
{ 0x80, 0xe0, 0x40, 0x40, 0xe0, 0x00 },
{ 0x20, 0xe0, 0x40, 0x40, 0xe0, 0x00 },
{ 0x40, 0xe0, 0x40, 0x40, 0xe0, 0x00 },
{ 0xa0, 0x40, 0x40, 0x40, 0xe0, 0x00 },
{ 0xe0, 0x50, 0xd0, 0x50, 0xe0, 0x00 },
{ 0x50, 0xa0, 0xe0, 0xe0, 0xa0, 0x00 },
{ 0x80, 0x40, 0xa0, 0xa0, 0x40, 0x00 },
{ 0x20, 0x40, 0xa0, 0xa0, 0x40, 0x00 },
{ 0x40, 0x40, 0xa0, 0xa0, 0x40, 0x00 },
{ 0x70, 0xe0, 0xa0, 0xa0, 0x40, 0x00 },
{ 0xa0, 0x40, 0xa0, 0xa0, 0x40, 0x00 },
{ 0x00, 0xa0, 0x40, 0xa0, 0x00, 0x00 },
{ 0x60, 0xa0, 0xe0, 0xa0, 0xc0, 0x00 },
{ 0x80, 0x40, 0xa0, 0xa0, 0xe0, 0x00 },
{ 0x20, 0x40, 0xa0, 0xa0, 0xe0, 0x00 },
{ 0x40, 0x00, 0xa0, 0xa0, 0xe0, 0x00 },
{ 0xa0, 0x00, 0xa0, 0xa0, 0xe0, 0x00 },
{ 0x20, 0x00, 0xa0, 0x40, 0x40, 0x00 },
{ 0x80, 0xc0, 0xa0, 0xc0, 0x80, 0x00 },
{ 0x40, 0xa0, 0xc0, 0xa0, 0xe0, 0x80 },
{ 0x80, 0x40, 0x60, 0xa0, 0x60, 0x00 },
{ 0x20, 0x40, 0x60, 0xa0, 0x60, 0x00 },
{ 0x60, 0x00, 0x60, 0xa0, 0x60, 0x00 },
{ 0x50, 0xa0, 0x60, 0xa0, 0x60, 0x00 },
{ 0xa0, 0x00, 0x60, 0xa0, 0x60, 0x00 },
{ 0x40, 0x00, 0x60, 0xa0, 0x60, 0x00 },
{ 0x00, 0x70, 0xb0, 0xa0, 0x70, 0x00 },
{ 0x00, 0x40, 0xa0, 0x80, 0x60, 0x40 },
{ 0x80, 0x40, 0xa0, 0xc0, 0x60, 0x00 },
{ 0x20, 0x40, 0xa0, 0xc0, 0x60, 0x00 },
{ 0xc0, 0x40, 0xa0, 0xc0, 0x60, 0x00 },
{ 0xa0, 0x40, 0xa0, 0xc0, 0x60, 0x00 },
{ 0x80, 0x40, 0x40, 0x40, 0xe0, 0x00 },
{ 0x20, 0xc0, 0x40, 0x40, 0xe0, 0x00 },
{ 0x40, 0xa0, 0x40, 0x40, 0xe0, 0x00 },
{ 0xa0, 0x00, 0xc0, 0x40, 0xe0, 0x00 },
{ 0xa0, 0x40, 0x60, 0xa0, 0x40, 0x00 },
{ 0x50, 0xa0, 0xc0, 0xa0, 0xa0, 0x00 },
{ 0x80, 0x40, 0x40, 0xa0, 0x40, 0x00 },
{ 0x20, 0x40, 0x40, 0xa0, 0x40, 0x00 },
{ 0x40, 0x00, 0x40, 0xa0, 0x40, 0x00 },
{ 0xe0, 0x00, 0x40, 0xa0, 0x40, 0x00 },
{ 0xa0, 0x00, 0x40, 0xa0, 0x40, 0x00 },
{ 0x40, 0x00, 0xe0, 0x00, 0x40, 0x00 },
{ 0x00, 0x60, 0xa0, 0xa0, 0xc0, 0x00 },
{ 0x80, 0x40, 0xa0, 0xa0, 0x60, 0x00 },
{ 0x20, 0x40, 0xa0, 0xa0, 0x60, 0x00 },
{ 0x40, 0x00, 0xa0, 0xa0, 0x60, 0x00 },
{ 0xa0, 0x00, 0xa0, 0xa0, 0x60, 0x00 },
{ 0x20, 0x40, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0x80, 0x80, 0xc0, 0xa0, 0xc0, 0x80 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xa0, 0x00, 0xa0, 0xe0, 0x20, 0xc0 },
{ 0xf0, 0x00, 0xf0, 0xf0, 0xf0, 0xf0 }
};

void draw_char( SDL_Surface *surface,
                SDL_Surface *bg, 
                SDL_Surface *sterm, 
                int row,
                int col,
                unsigned char c,
                int bg_color,
                int fg_color,
                bool inverse=false
                );
void draw_char( SDL_Surface *screen,                
                int row,
                int col,
                unsigned char c,
                int bg_color,
                int fg_color,
                bool inverse );
void draw_char_to_surface( SDL_Surface *surface,
                           int x,
                           int y,
                           unsigned char c,
                           int bg_color,
                           int fg_color
                         );
void clear_char(SDL_Surface *screen,
                SDL_Surface *bg,
                SDL_Surface *sterm, 
                int row,
                int col,
                int bg_color);
void lock_surface(SDL_Surface *screen);
void unlock_surface(SDL_Surface *screen);
#endif
