/***************************************************************************
 *  Copyright (c) 2005 Chih-Chung Chang                                    *
 *  Parts copyright (c) 2006 Michael Olson                                 *
 *  Copyright (C) 2007-2008 by Fehmi "Canavar" SAGLAM                      *
 *  canavar@fehmicans.net                                                  *
 *                                                                         *
 *  This file is part of sTerm.                                            *
 *                                                                         *
 *  sTerm is free software; you can redistribute it and/or modify          *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 3 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  sTerm is distributed in the hope that it will be useful,               *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>   *
 ***************************************************************************/

#ifndef _stermbutton_h__
#define _stermbutton_h__

#include <SDL/SDL.h>
#include "stermkey.h"

class StermButton{
      private:
              SDL_Surface *screen;
              StermKey *stermKey;
              int row, col; //left coordinate of the button - each button is only one row
              int bg_color, //background color
                  fg_color; //foreground color
      public:
              StermButton( SDL_Surface *screen,
                           int row,
                           int col,
                           StermKey *stermKey,
                           int bg_color,
                           int fg_color
                          );
              void Draw( bool inverse=false );  
              void Select();
              void UnSelect();
              string Get_Val();
              string Get_Shift_Val();
              string Get_Ctrl_Val();
              void Set_Bg_Color(int color);
              void Set_Fg_Color(int color);
};

#endif
